Subject: bug#9067: Feature patch for chroot, adding --hostname parameter

From: Assaf Gordon <[email-masked]>
Date: Mon, 15 Oct 2018 07:33:08 -0600

severity 9067 wishlist
tags 9067 wontfix
close 9067

(triaging old bugs)

Hello,

On 13/07/11 04:46 AM, [email-masked] wrote:
> Here is a small patch to chroot that adds the ability to run the chroot
> environment with a different namespace for the hostname.
> 
> I am hoping that other people (besides myself) will find this feature
> useful, and that it will be considered for inclusion in the excellent
> coreutils suite.
> 
> The additional code is plainly stolen from Michael Marineau's chname tool,
> so I reckon most of the credit should go to him. (see
> http://mike.marineau.org/blog/code/2007-07-23-giving-chroot-its-own-hostname-chname
> )

Thank you for the patch, sorry it fell between the cracks and have not 
been responded to in so long.

In the long time since your suggestion, the util-linux package
gained unshare(1) and nsenter(1), as well as many other new
3rd-party tools to control namespaces.

As such, I'm closing the bug.

regards,
  - assaf